Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class SafeSortedMap.BaseEntryNode

`java.lang.Object
com.tangosol.util.SafeSortedMap.EntryNode
com.tangosol.util.SafeSortedMap.BaseEntryNode`

Enclosing class:
  SafeSortedMap

      protected static class SafeSortedMap.BaseEntryNode

extends SafeSortedMap.EntryNode

BaseEntryNode is a synthetic EntryNode that serves as the "head" of the base entry list. The BaseEntryNode also holds the size counter for the number of entries in the base entry list (the size of the map).

Nested Class Summary

Nested classes/interfaces inherited from class com.tangosol.util.SafeSortedMap.EntryNode
`SafeSortedMap.EntryNode.MapEntry`

Field Summary
`protected AtomicCounter` | `m_atomicSize` AtomicCounter used to hold the size of the base entry list.

Fields inherited from class com.tangosol.util.SafeSortedMap.EntryNode
`m_atomicUpdaterNext, m_atomicUpdaterValue, m_nodeNext, m_oKey, m_oValue`

Constructor Summary
`protected` | `SafeSortedMap.BaseEntryNode()` Construct a BaseEntryNode.

Method Summary
`AtomicCounter` | `getSizeCounter()` Return the AtomicCounter used to track the size of the base entry list.

Methods inherited from class com.tangosol.util.SafeSortedMap.EntryNode
`casNext, casValue, getKey, getMapEntry, getNext, getValue, getValueInternal, helpDelete, isDeleted, markForDelete, setNext, toString`

Field Detail

### m_atomicSize

    protected final AtomicCounter m_atomicSize

  AtomicCounter used to hold the size of the base entry list. See #size().

Constructor Detail

### SafeSortedMap.BaseEntryNode

    protected SafeSortedMap.BaseEntryNode()

  Construct a BaseEntryNode.

Method Detail

### getSizeCounter

    public AtomicCounter getSizeCounter()

  Return the AtomicCounter used to track the size of the base entry list.
  Returns:
    the size counter

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.